Skip to main content
GET
/
{org}
/
{repo}
/
branches
List branches
curl --request GET \
  --url https://api.mesa.dev/api/v1/{org}/{repo}/branches \
  --header 'Authorization: Bearer <token>'
{
  "next_cursor": "<string>",
  "has_more": true,
  "branches": [
    {
      "name": "<string>",
      "head_oid": "<string>",
      "is_default": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required
Minimum string length: 1
repo
string
required
Minimum string length: 1

Query Parameters

cursor
string
limit
integer
Required range: 1 <= x <= 100

Response

Branch list

next_cursor
string | null
required
has_more
boolean
required
branches
object[]
required